Subject: [VCARDDAV] Fw: One question about the PHOTO property

From: "Javier Godoy" <[email-masked]>
Date: Thu, 10 Jul 2008 15:28:41 -0300

Oops... I forgot to send this to [email-masked]

Basically:
 - Keep the name PHOTO as is? Yes.
 - Videos could be included in PHOTO? No, it only allows image/* as it is 
currently defined. (However, an animated gif is an image/gif, then it may be 
specified as a PHOTO value).

I'm not sure if the VIDEO property should be addressed in the core spec. VIDEO 
would be sequences of images (either video/* or image/* types) and PHOTO would 
remain for static images (image/* type only)

----- Original Message ----- 
From: "Javier Godoy" <[email-masked]>
To: "Cyrus Daboo" <[email-masked]>
Sent: Thursday, July 10, 2008 12:13 PM
Subject: Re: [VCARDDAV] One question about the PHOTO property

> Cyrus Daboo wrote:
>
>> --On July 10, 2008 9:54:03 AM +0200 [email-masked] wrote:
>>
>>> One question about the PHOTO property :
>>>
>>> - can this property be used also for videos ? If yes, is "PHOTO' the good
>>> name ?
>>
>> Small photos are reasonable to include "by value" in a vCard (so that they 
>> can be used to "badge" address book entries) but I would find it hard to 
>> justify including a video "by value". Why not just allow videos to be 
>> referenced via the URL? Or perhaps we could define a VIDEO property that is 
>> required to be a URL (no actual video data). But I really think the URL is 
>> sufficient.
>>
>
> IMHO the PHOTO property,as it is currently defined, cannot be used for 
> including videos, either by value or by reference.
>
> 1. Videos are not allowed (by value) because they are "video/*" media types. 
> From section 5.2.4 [[
>  The TYPE parameter value MUST be an image media type as specified in 
> [RFC4288].  The full media type name, including the "image/" prefix, should be 
> used.
> ]] (of course, including videos by value is probably a bad idea... I'm just 
> illustrating that PHOTO is defined as being image-only)
>
> 2. While it is possible to specify a URI that references a video instead of an 
> image, I understand the definition of this property as requiring a reference 
> to an "image/*" resource.
>
> If this feature is considered necessary we could, as Cyrus suggested, add a 
> new VIDEO property (URI value only), which would be required to reference a 
> video resource.
>
>
> Best regards
>
> Javier
> 

_______________________________________________
VCARDDAV mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/vcarddav